> For the complete documentation index, see [llms.txt](https://docs.dydx.community/dydx/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dydx.community/dydx/modules/governance/governance-adjustable-parameters/order-router-rev-share.md).

# Order Router Rev Share

Order Router Rev Share enables third-party order routers to direct orders to dYdX and earn a portion of the trading fees (maker and taker).

For detailed technical specifications, including integration steps, see [here](https://docs.dydx.xyz/interaction/integration/integration-revshare).

## Governance

* To enable an Order Router Rev Share, the interested party must submit a governance proposal and obtain approval from the dYdX community. The steps are generally in line with the [Proposal Lifecycle](/dydx/modules/governance/proposal-lifecycle.md).
* Below is the example JSON for the Order Router Rev Share:

```json
{
  "messages": [
    {
      "@type": "/dydxprotocol.revshare.MsgSetOrderRouterRevShare",
      "authority": "dydx10d07y265gmmuvt4z0w9aw880jnsr700jnmapky",
      "order_router_rev_share": {
        "address": "{Insert}", // insert dYdX Chain address where the revenue is going to be routed to
        "share_ppm": 500000
      }
    }
  ],
  "deposit": "2000000000000000000000adydx",
  "metadata": "",
  "title": "Add order router rev share for {Insert}", // insert your project's name
  "summary": "Add order router rev share for {Insert}" // insert your project's name
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.dydx.community/dydx/modules/governance/governance-adjustable-parameters/order-router-rev-share.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
